REP(1)

NAME
rep - Read, Eval, Print Interpreter

SYNOPSIS
rep [ FILE ] [ --batch ] [ --interp ] [ -f, --call FUNCTION ] [ -l, --load FUNCTION ] [ -s, --scheme FILE ] [ --version ] [ --no-rc ] [ -q, --quit ]

DESCRIPTION

rep `librep' is a dialect of Lisp, designed to be used both as an extension language for applications and as a general purpose programming language. It was originally written to be mostly-compatible with Emacs Lisp, but has subsequently diverged markedly. Its aim is to combine the best features of Scheme and Common Lisp and provide an environment that is comfortable for implementing both small and large scale systems. It tries to be a "pragmatic" programming language.

OPTIONS

FILE
    load the Lisp file FILE (from the cwd if possible, implies --batch mode)

--batch
    Batch mode: process options and exit.

--interp
    Interpreted mode: don't load compile Lisp files.

-f FUNCTION --call FUNCTION
    Call the Lisp function FUNCTION.

-l FILE --load FILE
    Load the file of Lisp forms called FILE.

-s FILE --scheme FILE
    Load the file of Scheme forms called FILE (implies --batch mode).

--version
    Print version details.

--no-rc
    Don't load rc or site-init files.

-q --quit
    Terminate the interpreter process.

SEE ALSO

The programs are documented fully by John Harper available via the Info system.

AUTHOR

This manual page was written by Christian Marillat <marillat@debian.org> for the Debian GNU/Linux system (but may be used by others).